%define oname   rdoc

Name:       ruby-%{oname}
Version:    3.5.3
Release:    %mkrel 1
Summary:    RDoc produces HTML and command-line documentation for Ruby projects
Group:      Development/Ruby
License:    Ruby License
URL:        http://rdoc.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rubyforge) >= 2.0.4
BuildRequires: rubygem(minitest) >= 2.0.2
BuildRequires: rubygem(isolate) >= 3
BuildRequires: rubygem(ZenTest) >= 4
BuildRequires: rubygem(hoe) >= 2.9.0
BuildRequires: ruby(abi) = 1.8
BuildArch:  noarch

%description
RDoc produces HTML and command-line documentation for Ruby projects.  RDoc
includes the +rdoc+ and +ri+ tools for generating and displaying online
documentation.
See RDoc for a description of RDoc's markup and basic use.

%files
%defattr(-, root, root, -)
#%{_bindir}/ri
#%{_bindir}/rdoc
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/History.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Manifest.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/RI.txt
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/Rakefile
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

# avoid conflict with builtin rdoc
rm -rf %{buildroot}%{_bindir}

%check
rake test

%clean
rm -rf %{buildroot}



%changelog
* Fri Apr 01 2011 shikamaru <shikamaru> 3.5.3-1.mga1
+ Revision: 79476
- new version 3.5.3

* Sat Jan 29 2011 shikamaru <shikamaru> 3.4-1.mga1
+ Revision: 43649
- imported package ruby-rdoc


* Sat Jan 29 2011 Rémy Clouard <shikamaru@mandriva.org> - 3.4-1mdv2011.0
- Initial package
